petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagGetIsFirstRank

get boolean value for whether this rank is first in each direction in the rank grid

### Synopsis

    PetscErrorCode DMStagGetIsFirstRank(DM dm,PetscBool *isFirstRank0,PetscBool *isFirstRank1,PetscBool *isFirstRank2)

Not Collective

### Input Parameter

dm -the DMStag object

### Output Parameters

isFirstRank0,isFirstRank1,isFirstRank2 -whether this rank is first in each direction

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to NULL in this case.

### See Also

DMSTAG, DMStagGetIsLastRank()

### Level

intermediate

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages